A group of one or more AutoCAD objects specified for processing as a single unit.
Creates a member object and adds it to the appropriate collection.
Dim ssetObj As AcadSelectionSet
Set ssetObj = ThisDrawing.SelectionSets.Add("ssetName")
Prompts the user to pick an object from the screen.
ssetObj.selectOnScreen
Prompts the user to pick an object from the screen.
Dim mode As Integer
mode = acSelectionSetAll
'acSelectionSetWindow
'acSelectionSetCrossing
'acSelectionSetPrevious
'acSelectionSetLast
'acSelectionSetAll
ssetObj.Select mode, , , ,
filter
另一章敘述
Dim filtertype(1) As Integer
Dim filterdata(1) As Variant
filtertype(0) = 0:filterdata(0) = "Circle"
filtertype(1) = 8:filterdata(1) = "0"
ssetObj.selectOnScreen filtertype, filterdata
'ssetObj.Select mode, , , filtertype, filterdata
'ssetObj.Clear 'count=0, Name=ssetName
'ssetObj.Erase 'count=0, Name=ssetName
'Delete all members off the model space
'ssetObj.Delete 'null